@import url('https://fonts.googleapis.com/css2?family=Nunito+Sans:ital,opsz,wght@0,6..12,200..1000;1,6..12,200..1000&display=swap');

html {
    font-size: 100%; /* 16px default */
}

body {
  font-family: 'Nunito Sans', sans-serif;
  background: var(--background);
}

.container {
    width: 100%;
    max-width: 90rem; /* 1440px */
    margin-inline: auto;
    padding-inline: 1.5rem; /* 24px */
}

.default {
    width: 100%;
    padding-block: 10rem; /* 160px */
}

/* HEADER STYLES */
.header {
    position: absolute;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.nav--menu {
    list-style: none;
    display: flex;
    gap: 3rem;
    margin-block: 1.5rem; /* 24px */
    padding: 0.875em 2.75em; /*14px 44px;*/
    border-radius: 2rem; /*32px;*/
    box-shadow: inset 0px 0px 2px #717171, 0px 4px 4px rgba(9, 9, 9, 20%);
    transition: all 0.4s ease-in-out;
}

.nav--menu:hover {
    background-color: #292929;
    box-shadow: inset 0px 0px 2px #717171, 0px 4px 4px rgba(9, 9, 9, 20%), inset 0px -4px 4px rgba(0, 0, 0, 8%), inset 0px 4px 4px rgba(255, 255, 255, 3%);
}

.nav--links {
    color: #868686;
    font-weight: 600;
    font-size: clamp(14px, 1.2vw, 16px);
    position: relative;
    transition: color 0.3s ease;
}

.nav--links::before {
    content: '';
    position: absolute;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background-color: transparent;
    left: -24px;
    bottom: 7px;
    transition: all 0.3s ease;
}

.nav--links:hover::before {
    background-color: var(--brand);
    transform: translateX(10px);
}

.nav--links:hover {
    color: var(--paragraph);
}

/* HERO STYLES */
.hero {
    min-height: 100vh; 
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    padding-top: 3.5rem; /* 55px */
}

.hero--kicker {
    color: var(--link--menu--off);
    font-size: clamp(0.75rem, 1.2vw, 0.875rem);
    padding: 0.5em 1.5em;
    border-radius: 2rem;
    box-shadow: inset 0px 0px 2px #717171;
}

.hero--title {
    font-size: clamp(2.25rem, 5vw, 4rem);
    font-weight: bold;
    line-height: 110%;
    letter-spacing: -2%;
    color: var(--title);
    margin-block: 2rem;
}

.hero--text {
    font-size: clamp(0.9375rem, 1.6vw, 1.125rem);
    line-height: 140%;
    color: var(--paragraph);
}

.actions {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-block: 2rem;
}

.line {
    height: 1px;
    max-width: 30.625rem; /* 490px */
    width: 100%;
    background: linear-gradient(to left, var(--background), var(--button));
}

.wrap {
    display: flex;
    gap: 2rem;
}

.button {
    font-size: clamp(0.875rem, 1.3vw, 1rem);
    color: var(--paragraph);
    background-color: var(--button);
    padding: 0.875em 1.625em 0.875em 3em;
    border-radius: 2rem;
    box-shadow: inset 0px 0px 2px #717171, 0px 4px 4px rgba(9, 9, 9, 20%), inset 0px -4px 4px rgba(0, 0, 0, 8%), inset 0px 4px 4px rgba(255, 255, 255, 4%);
    position: relative;
    transition: all 0.3s ease;
}

.button:hover {
    box-shadow: inset 0px 0px 2px #525252, 0px 4px 4px rgba(9, 9, 9, 20%), inset 0px -4px 4px rgba(0, 0, 0, 1%);
}

.black {
    height: 24px; width: 24px;
    background-color: var(--background);
    border-radius: 50%;
    overflow: hidden;
    position: absolute;
    left: 16px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.green {
    height: 10px;
    width: 10px;
    background-color: var(--brand);
    border-radius: 50%;
    transform: translateX(-24px);
    transition: transform 0.3s ease;
}

.button:hover .green {
    transform: translateX(0);
}

.microcopy {
    display: block;
    margin-top: 1rem;
    font-size: 0.875rem;
    color: var(--link--menu--off);
    opacity: 0.8;
}

/* ABOUT STYLES */
.about {
    background-color: var(--bg-dark);
}

.about__content {
    display: flex;
    align-items: center;
    gap: 3.5rem;
    flex-wrap: wrap;
}

.about__photo {
    width: 280px;
    object-fit: cover;
}

.title {
    font-size: clamp(2rem, 4vw, 3.5rem);
    color: var(--title);
    letter-spacing: -1%;
    line-height: 110%;
    margin-bottom: 1.5rem;
}

.text {
    font-size: 1rem;
    line-height: 1.5;
    color: var(--paragraph);
    letter-spacing: 2%;
}

.footer {
    background-color: var(--bg-dark);
    padding-block: 5rem; /* 80px */
}

.footer__content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}

.footer__left, .footer__center, .footer__right {
    padding: 8px;
}

.direitos {
    font-size: 1rem;
    color: var(--paragraph);
}

.footer__center {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer__brand {
    font-size: clamp(3rem, 8vw, 4rem);
    font-weight: 900;
    color: var(--button);
}

.footer__socials {
    margin: -40px;
    display: flex;
    align-items: center;
    gap: 24px;
}

.linkedin {
    width: 32px;
    object-fit: cover;
}

.instagram {
    width: 34px;
    object-fit: cover;
}

.youtube {
    width: 40px;
    object-fit: cover;
}

.e-mail {
    font-size: 1rem;
    color: var(--paragraph);
    letter-spacing: 2%;
}

.bold {
    font-weight: bold;
}








/* RESPONSIVE STYLES */
@media (max-width: 768px) {

    main section {
        text-align: center;
    }

    .hero {
        align-items: center;
        justify-content: center;
        padding-top: 7rem;
    }

    .hero__content {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .actions {
        align-items: center;
    }

    .wrap {
        flex-direction: column;
        align-items: center;
        gap: 1rem;
    }

    .line {
        margin-inline: auto;
        max-width: 17.5rem;
    }

    .about__content {
        flex-direction: column;
        align-items: center;
    }

    .about__info {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .cta__content {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer__content {
        display: flex;
        flex-direction: column;
        align-items: center;
        gap: 2rem;
        text-align: center;
    }

    .footer__center {
        order: -1;
    }

    .footer__socials {
        padding: 0.60em;
    }

    .footer__left {
        order: 1;
    }

    .footer__right {
        margin-top: 1rem;
    }

    .jump {
        display: none;
    }
}